package com.jxml.quick.util.qjml2html;
import com.jxml.quick.model.qjml.*;
import com.jxml.quick.*;
import org.xml.sax.*;
import java.util.*;
import com.jxml.quick.ocm.*;
import java.io.*;

public class QCElements extends OCMtemplate
{
	public QMElements  ed;
	StringBuffer sb;

	public void cvt(Object param) 
		throws SAXException, IOException 
	{

		OCMcontextSupport.SubContextSupport scs=(OCMcontextSupport.SubContextSupport)context;
		sb=scs.sb;
		ed=(QMElements)dataModel;
		if (ed.contentList.size()>0)
			expand("contents");

 	}
	public String process(String templateName, String arg)
		throws SAXException, IOException
	{
		QCParm parm=new QCParm();
		doCvt(ed.contentList,parm);
	        return"";   
	}
}




